#include <project.h>
#include "stdio.h"

#define LCD_ROWS 2u
#define LCD_COLUMNS 16u
extern uint8 const CYCODE LCD_customFonts[];

int main() {
    uint16 result, millivolts, bar;
    char textbuffer[20];
    ADC_SAR_1_Start();
    ADC_SAR_1_StartConvert();
    
    LCD_Start();
    LCD_LoadCustomFonts(LCD_customFonts);
    LCD_Position(0u, 0u);
    LCD_PrintString("CY8CKIT-059 PSOC");
    LCD_Position(1u, 0u);
    LCD_PrintString("ADC & LCD demo");
    CyDelay(2000u);
    LCD_ClearDisplay();

    for(;;) {
        result = ADC_SAR_1_GetResult16();
        millivolts = ADC_SAR_1_CountsTo_mVolts(result);
        bar = result/52;                    // Scale value to pixels
        sprintf(textbuffer, "Voltage: %4d mV",millivolts); 
        LCD_ClearDisplay();
        LCD_PrintString(textbuffer);
        LCD_DrawHorizontalBG(1,0,16,bar);
        CyDelay(200u);
    }
}

/* [] END OF FILE */
